# Interface ITextEditorExtension6

All Known Implementing Classes:
  `AbstractDecoratedTextEditor, AbstractTextEditor, StatusTextEditor, TextEditor`

public interface ITextEditorExtension6
Extension interface for `ITextEditor`. Adds the following functions:

- word wrap

This interface may be implemented by clients.

Since:
  3.10

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isWordWrapEnabled()`
Returns `true` if word wrap is currently enabled, `false` otherwise.
`void`
`setWordWrap(boolean enable)`
Sets whether the text editor wraps lines.

## Method Details

### isWordWrapEnabled

boolean isWordWrapEnabled()
Returns `true` if word wrap is currently enabled, `false` otherwise.

Returns:
  the receiver's word wrap state

### setWordWrap

void setWordWrap(boolean enable)
Sets whether the text editor wraps lines. Nothing happens if the receiver already is in the requested state.

Note: enabling word wrap disables block selection mode (see `ITextEditorExtension5`), enabling block selection mode will disable word wrap.

Parameters:
  `enable` - `true` to enable word wrap, `false` to turn it off.
See Also:
  - `ITextEditorExtension5.setBlockSelectionMode(boolean)`